Loading...
Searching...
No Matches
SqlUtil::SqlUtilDataTypeOptionInfo Struct Reference

column data type options More...

`#include <SqlUtil.qm.dox.h>`

## Public Attributes

*TimeZone | data_timezone
| the timezone when converting dates from external data to the DB's date
*string | date_format
| optional format string for converting strings to dates for date / timestamp columns
*TimeZone | db_timezone
| the timezone to use when sending date/time values to the DB
*softbool | mandatory
| optional flag to overrude any nullable attribute and require data for the column
*softint | maxlen
| optional additional limit to the maximum length of the data
*string | number_format
| optional format string for converting strings to numeric / decimal / number columns

## Detailed Description

column data type options

## Member Data Documentation

## maxlen

*softint SqlUtil::SqlUtilDataTypeOptionInfo::maxlen

optional additional limit to the maximum length of the data

only takes effect if the value is smaller than the column's maximum length